#!/bin/sh
#
# Zabbix agent start/stop script.
#
# Copyright (C) 2000-2012 Zabbix SIA
 
NAME=zabbix_agentd
DAEMON=/usr/local/sbin/${NAME}
#DAEMON=/opt/zabbix/sbin/${NAME}
OPTS="-c /usr/local/etc/zabbix_agentd.conf"
DESC="Zabbix agent daemon"
PID=/tmp/$NAME.pid
 
test -f $DAEMON || exit 0
 
case "$1" in
start)
echo "Starting $DESC: $NAME"
start-stop-daemon --start --oknodo --pidfile $PID --exec $DAEMON -- $OPTS
;;
stop)
echo "Stopping $DESC: $NAME"
start-stop-daemon --stop --quiet --pidfile $PID --retry=TERM/10/KILL/5 && return 0
start-stop-daemon --stop --oknodo --exec $DAEMON --name $NAME --retry=TERM/10/KILL/5
;;
restart|force-reload)
$0 stop
$0 start
;;
*)
N=/etc/init.d/$NAME
echo "Usage: $N {start|stop|restart|force-reload}" >&2
exit 1
;;
esac
 
exit 0
